import request from '@/utils/request'

// 查询企业园区大屏数据列表
export function listGARDENDATA(query) {
  return request({
    url: '/analysis/GARDENDATA/list',
    method: 'get',
    params: query
  })
}

// 查询企业园区大屏数据所有列表
export function listAllGARDENDATA(query) {
  return request({
    url: '/analysis/GARDENDATA/listAll',
    method: 'get',
    params: query
  })
}

// 查询企业园区大屏数据详细
export function getGARDENDATA(id) {
  return request({
    url: '/analysis/GARDENDATA/getInfo/' + id,
    method: 'get'
  })
}

// 新增企业园区大屏数据
export function addGARDENDATA(data) {
  return request({
    url: '/analysis/GARDENDATA/add',
    method: 'post',
    data: data
  })
}

// 修改企业园区大屏数据
export function updateGARDENDATA(data) {
  return request({
    url: '/analysis/GARDENDATA/edit',
    method: 'post',
    data: data
  })
}

// 删除企业园区大屏数据
export function delGARDENDATA(id) {
  return request({
    url: '/analysis/GARDENDATA/remove/' + id,
    method: 'get'
  })
}
